-- Copyright (C) 1991-2008 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 8.1 Build 163 10/28/2008 SJ Web Edition"

-- DATE "01/01/2012 21:17:01"

-- 
-- Device: Altera EP3C16F484C6 Package FBGA484
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY IEEE, cycloneiii;
LIBRARY altera;
USE IEEE.std_logic_1164.all;
USE altera.altera_primitives_components.all;
USE cycloneiii.cycloneiii_components.all;

ENTITY 	Receiver_unit IS
    PORT (
	CLK : IN std_logic;
	CD : IN std_logic;
	Enable_RX : IN std_logic;
	Serial_in : IN std_logic;
	RX_OUT : OUT std_logic_vector(7 DOWNTO 0);
	Error : OUT std_logic;
	New_Data : OUT std_logic
	);
END Receiver_unit;

ARCHITECTURE structure OF Receiver_unit IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_CLK : std_logic;
SIGNAL ww_CD : std_logic;
SIGNAL ww_Enable_RX : std_logic;
SIGNAL ww_Serial_in : std_logic;
SIGNAL ww_RX_OUT : std_logic_vector(7 DOWNTO 0);
SIGNAL ww_Error : std_logic;
SIGNAL ww_New_Data : std_logic;
SIGNAL \CLK~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \CD~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \Chip1|present_state.state_bit_0~402_combout\ : std_logic;
SIGNAL \Chip2|Chip3|Y~62_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_2~84_combout\ : std_logic;
SIGNAL \RX_OUT[0]~output_o\ : std_logic;
SIGNAL \RX_OUT[1]~output_o\ : std_logic;
SIGNAL \RX_OUT[2]~output_o\ : std_logic;
SIGNAL \RX_OUT[3]~output_o\ : std_logic;
SIGNAL \RX_OUT[4]~output_o\ : std_logic;
SIGNAL \RX_OUT[5]~output_o\ : std_logic;
SIGNAL \RX_OUT[6]~output_o\ : std_logic;
SIGNAL \RX_OUT[7]~output_o\ : std_logic;
SIGNAL \Error~output_o\ : std_logic;
SIGNAL \New_Data~output_o\ : std_logic;
SIGNAL \CLK~input_o\ : std_logic;
SIGNAL \CLK~inputclkctrl_outclk\ : std_logic;
SIGNAL \Serial_in~input_o\ : std_logic;
SIGNAL \CD~input_o\ : std_logic;
SIGNAL \CD~inputclkctrl_outclk\ : std_logic;
SIGNAL \Chip2|Chip4|present_state[0]~66_combout\ : std_logic;
SIGNAL \Chip1|present_state.error_signal~14_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_3~29_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_3~q\ : std_logic;
SIGNAL \Enable_RX~input_o\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_0~404_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_0~405_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_0~406_combout\ : std_logic;
SIGNAL \Chip1|present_state.wait_4cycles~25_combout\ : std_logic;
SIGNAL \Chip2|Chip4|present_state[1]~67_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_0~407_combout\ : std_logic;
SIGNAL \Chip1|present_state.last_sample~17_combout\ : std_logic;
SIGNAL \Chip2|Chip3|Y~63_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_0~403_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_0~408_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_0~q\ : std_logic;
SIGNAL \Chip1|Clear_Counters~combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_1~216_combout\ : std_logic;
SIGNAL \Chip2|Chip5|present_state[0]~93_combout\ : std_logic;
SIGNAL \Chip2|Chip5|present_state[1]~92_combout\ : std_logic;
SIGNAL \Chip2|Chip5|present_state[2]~91_combout\ : std_logic;
SIGNAL \Chip2|Chip5|TC8~29_combout\ : std_logic;
SIGNAL \Chip2|Chip6|present_state.state_bit_1~217_combout\ : std_logic;
SIGNAL \Chip2|Chip6|present_state.state_bit_1~216_combout\ : std_logic;
SIGNAL \Chip2|Chip6|present_state.state_bit_1~q\ : std_logic;
SIGNAL \Chip2|Chip6|present_state.state_bit_2~142_combout\ : std_logic;
SIGNAL \Chip2|Chip6|present_state.state_bit_2~q\ : std_logic;
SIGNAL \Chip2|Chip6|present_state.state_bit_0~228_combout\ : std_logic;
SIGNAL \Chip2|Chip6|present_state.state_bit_0~q\ : std_logic;
SIGNAL \Chip2|Chip6|present_state.state_bit_3~67_combout\ : std_logic;
SIGNAL \Chip2|Chip6|present_state.state_bit_3~68_combout\ : std_logic;
SIGNAL \Chip2|Chip6|present_state.state_bit_3~q\ : std_logic;
SIGNAL \Chip2|Chip6|present_state.Num9~12_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_1~217_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_0~409_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_1~218_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_1~q\ : std_logic;
SIGNAL \Chip1|present_state.sample_serial_in~14_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_2~85_combout\ : std_logic;
SIGNAL \Chip1|present_state.state_bit_2~q\ : std_logic;
SIGNAL \Chip2|Chip2|present_state[6]~feeder_combout\ : std_logic;
SIGNAL \Chip2|Chip2|present_state[5]~feeder_combout\ : std_logic;
SIGNAL \Chip2|Chip2|present_state[3]~feeder_combout\ : std_logic;
SIGNAL \Chip2|Chip2|present_state[1]~feeder_combout\ : std_logic;
SIGNAL \Chip2|Chip2|present_state[0]~feeder_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[0]~feeder_combout\ : std_logic;
SIGNAL \Chip1|present_state.load_data_reg~12_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[1]~feeder_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[2]~feeder_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[3]~feeder_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[4]~feeder_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[6]~feeder_combout\ : std_logic;
SIGNAL \Chip2|Chip1|present_state[7]~feeder_combout\ : std_logic;
SIGNAL \Chip1|present_state.error_signal~13_combout\ : std_logic;
SIGNAL \Chip1|present_state.data_ready~12_combout\ : std_logic;
SIGNAL \Chip2|Chip2|present_state\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \Chip2|Chip1|present_state\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \Chip2|Chip5|present_state\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \Chip2|Chip4|present_state\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \Chip1|S\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \Chip1|ALT_INV_Clear_Counters~combout\ : std_logic;
SIGNAL \ALT_INV_CD~inputclkctrl_outclk\ : std_logic;

BEGIN

ww_CLK <= CLK;
ww_CD <= CD;
ww_Enable_RX <= Enable_RX;
ww_Serial_in <= Serial_in;
RX_OUT <= ww_RX_OUT;
Error <= ww_Error;
New_Data <= ww_New_Data;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\CLK~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \CLK~input_o\);

\CD~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \CD~input_o\);
\Chip1|ALT_INV_Clear_Counters~combout\ <= NOT \Chip1|Clear_Counters~combout\;
\ALT_INV_CD~inputclkctrl_outclk\ <= NOT \CD~inputclkctrl_outclk\;

\Chip1|present_state.state_bit_0~402\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_0~402_combout\ = \Chip1|present_state.sample_serial_in~14_combout\ & \Chip2|Chip5|TC8~29_combout\ & (\Chip1|present_state.state_bit_0~q\ $ !\Chip2|Chip6|present_state.Num9~12_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.sample_serial_in~14_combout\,
	datab => \Chip1|present_state.state_bit_0~q\,
	datac => \Chip2|Chip5|TC8~29_combout\,
	datad => \Chip2|Chip6|present_state.Num9~12_combout\,
	combout => \Chip1|present_state.state_bit_0~402_combout\);

\Chip2|Chip3|Y~62\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip3|Y~62_combout\ = \Chip2|Chip2|present_state\(0) $ \Chip2|Chip2|present_state\(2) $ \Chip2|Chip2|present_state\(3) $ \Chip2|Chip2|present_state\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip2|present_state\(0),
	datab => \Chip2|Chip2|present_state\(2),
	datac => \Chip2|Chip2|present_state\(3),
	datad => \Chip2|Chip2|present_state\(1),
	combout => \Chip2|Chip3|Y~62_combout\);

\Chip1|present_state.state_bit_2~84\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_2~84_combout\ = \Chip1|present_state.state_bit_2~q\ & (!\Chip1|present_state.state_bit_0~q\ & !\Chip2|Chip2|present_state\(9) # !\Chip1|present_state.state_bit_1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010001001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_1~q\,
	datab => \Chip1|present_state.state_bit_2~q\,
	datac => \Chip1|present_state.state_bit_0~q\,
	datad => \Chip2|Chip2|present_state\(9),
	combout => \Chip1|present_state.state_bit_2~84_combout\);

\RX_OUT[0]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip2|Chip1|present_state\(0),
	devoe => ww_devoe,
	o => \RX_OUT[0]~output_o\);

\RX_OUT[1]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip2|Chip1|present_state\(1),
	devoe => ww_devoe,
	o => \RX_OUT[1]~output_o\);

\RX_OUT[2]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip2|Chip1|present_state\(2),
	devoe => ww_devoe,
	o => \RX_OUT[2]~output_o\);

\RX_OUT[3]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip2|Chip1|present_state\(3),
	devoe => ww_devoe,
	o => \RX_OUT[3]~output_o\);

\RX_OUT[4]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip2|Chip1|present_state\(4),
	devoe => ww_devoe,
	o => \RX_OUT[4]~output_o\);

\RX_OUT[5]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip2|Chip1|present_state\(5),
	devoe => ww_devoe,
	o => \RX_OUT[5]~output_o\);

\RX_OUT[6]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip2|Chip1|present_state\(6),
	devoe => ww_devoe,
	o => \RX_OUT[6]~output_o\);

\RX_OUT[7]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip2|Chip1|present_state\(7),
	devoe => ww_devoe,
	o => \RX_OUT[7]~output_o\);

\Error~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|present_state.error_signal~13_combout\,
	devoe => ww_devoe,
	o => \Error~output_o\);

\New_Data~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Chip1|present_state.data_ready~12_combout\,
	devoe => ww_devoe,
	o => \New_Data~output_o\);

\CLK~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CLK,
	o => \CLK~input_o\);

\CLK~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \CLK~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CLK~inputclkctrl_outclk\);

\Serial_in~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Serial_in,
	o => \Serial_in~input_o\);

\CD~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CD,
	o => \CD~input_o\);

\CD~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \CD~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CD~inputclkctrl_outclk\);

\Chip2|Chip4|present_state[0]~66\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip4|present_state[0]~66_combout\ = \Chip1|present_state.wait_4cycles~25_combout\ $ \Chip2|Chip4|present_state\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.wait_4cycles~25_combout\,
	datac => \Chip2|Chip4|present_state\(0),
	combout => \Chip2|Chip4|present_state[0]~66_combout\);

\Chip1|present_state.error_signal~14\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.error_signal~14_combout\ = \Chip1|present_state.state_bit_2~q\ & \Chip1|present_state.state_bit_1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_2~q\,
	datad => \Chip1|present_state.state_bit_1~q\,
	combout => \Chip1|present_state.error_signal~14_combout\);

\Chip1|present_state.state_bit_3~29\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_3~29_combout\ = !\Chip1|present_state.state_bit_0~q\ & (\Chip1|present_state.state_bit_3~q\ # \Chip2|Chip2|present_state\(9) & \Chip1|present_state.error_signal~14_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_0~q\,
	datab => \Chip2|Chip2|present_state\(9),
	datac => \Chip1|present_state.state_bit_3~q\,
	datad => \Chip1|present_state.error_signal~14_combout\,
	combout => \Chip1|present_state.state_bit_3~29_combout\);

\Chip1|present_state.state_bit_3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state.state_bit_3~29_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state.state_bit_3~q\);

\Enable_RX~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Enable_RX,
	o => \Enable_RX~input_o\);

\Chip1|present_state.state_bit_0~404\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_0~404_combout\ = !\Serial_in~input_o\ & \Enable_RX~input_o\ & !\Chip1|present_state.state_bit_3~q\ & !\Chip1|present_state.state_bit_1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Serial_in~input_o\,
	datab => \Enable_RX~input_o\,
	datac => \Chip1|present_state.state_bit_3~q\,
	datad => \Chip1|present_state.state_bit_1~q\,
	combout => \Chip1|present_state.state_bit_0~404_combout\);

\Chip1|present_state.state_bit_0~405\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_0~405_combout\ = \Chip1|present_state.state_bit_2~q\ & (!\Chip2|Chip2|present_state\(9) # !\Chip1|present_state.state_bit_1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_1~q\,
	datac => \Chip2|Chip2|present_state\(9),
	datad => \Chip1|present_state.state_bit_2~q\,
	combout => \Chip1|present_state.state_bit_0~405_combout\);

\Chip1|present_state.state_bit_0~406\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_0~406_combout\ = !\Chip1|present_state.state_bit_0~q\ & (\Chip1|present_state.state_bit_3~q\ # \Chip1|present_state.state_bit_0~404_combout\ # \Chip1|present_state.state_bit_0~405_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010101010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_0~q\,
	datab => \Chip1|present_state.state_bit_3~q\,
	datac => \Chip1|present_state.state_bit_0~404_combout\,
	datad => \Chip1|present_state.state_bit_0~405_combout\,
	combout => \Chip1|present_state.state_bit_0~406_combout\);

\Chip1|present_state.wait_4cycles~25\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.wait_4cycles~25_combout\ = \Chip1|present_state.state_bit_0~q\ & !\Chip1|present_state.state_bit_2~q\ & !\Chip1|present_state.state_bit_3~q\ & !\Chip1|present_state.state_bit_1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_0~q\,
	datab => \Chip1|present_state.state_bit_2~q\,
	datac => \Chip1|present_state.state_bit_3~q\,
	datad => \Chip1|present_state.state_bit_1~q\,
	combout => \Chip1|present_state.wait_4cycles~25_combout\);

\Chip2|Chip4|present_state[1]~67\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip4|present_state[1]~67_combout\ = \Chip2|Chip4|present_state\(1) $ (\Chip2|Chip4|present_state\(0) & \Chip1|present_state.wait_4cycles~25_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip4|present_state\(0),
	datac => \Chip2|Chip4|present_state\(1),
	datad => \Chip1|present_state.wait_4cycles~25_combout\,
	combout => \Chip2|Chip4|present_state[1]~67_combout\);

\Chip2|Chip4|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip4|present_state[1]~67_combout\,
	clrn => \Chip1|ALT_INV_Clear_Counters~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip4|present_state\(1));

\Chip1|present_state.state_bit_0~407\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_0~407_combout\ = \Chip1|present_state.wait_4cycles~25_combout\ & (!\Chip2|Chip4|present_state\(1) # !\Chip2|Chip4|present_state\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111011100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip4|present_state\(0),
	datab => \Chip2|Chip4|present_state\(1),
	datad => \Chip1|present_state.wait_4cycles~25_combout\,
	combout => \Chip1|present_state.state_bit_0~407_combout\);

\Chip1|present_state.last_sample~17\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.last_sample~17_combout\ = \Chip1|present_state.state_bit_2~q\ & !\Chip1|present_state.state_bit_1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip1|present_state.state_bit_2~q\,
	datad => \Chip1|present_state.state_bit_1~q\,
	combout => \Chip1|present_state.last_sample~17_combout\);

\Chip2|Chip3|Y~63\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip3|Y~63_combout\ = \Chip2|Chip2|present_state\(6) $ \Chip2|Chip2|present_state\(5) $ \Chip2|Chip2|present_state\(7) $ \Chip2|Chip2|present_state\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100110010110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip2|present_state\(6),
	datab => \Chip2|Chip2|present_state\(5),
	datac => \Chip2|Chip2|present_state\(7),
	datad => \Chip2|Chip2|present_state\(4),
	combout => \Chip2|Chip3|Y~63_combout\);

\Chip1|present_state.state_bit_0~403\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_0~403_combout\ = \Chip1|present_state.last_sample~17_combout\ & (\Chip2|Chip3|Y~62_combout\ $ \Chip2|Chip2|present_state\(8) $ \Chip2|Chip3|Y~63_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000010001001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip3|Y~62_combout\,
	datab => \Chip1|present_state.last_sample~17_combout\,
	datac => \Chip2|Chip2|present_state\(8),
	datad => \Chip2|Chip3|Y~63_combout\,
	combout => \Chip1|present_state.state_bit_0~403_combout\);

\Chip1|present_state.state_bit_0~408\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_0~408_combout\ = \Chip1|present_state.state_bit_0~402_combout\ # \Chip1|present_state.state_bit_0~406_combout\ # \Chip1|present_state.state_bit_0~407_combout\ # \Chip1|present_state.state_bit_0~403_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_0~402_combout\,
	datab => \Chip1|present_state.state_bit_0~406_combout\,
	datac => \Chip1|present_state.state_bit_0~407_combout\,
	datad => \Chip1|present_state.state_bit_0~403_combout\,
	combout => \Chip1|present_state.state_bit_0~408_combout\);

\Chip1|present_state.state_bit_0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state.state_bit_0~408_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state.state_bit_0~q\);

\Chip1|Clear_Counters\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|Clear_Counters~combout\ = \Chip1|present_state.state_bit_0~q\ & (\Chip1|present_state.state_bit_3~q\ # \Chip1|present_state.state_bit_2~q\ & \Chip1|present_state.state_bit_1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_3~q\,
	datab => \Chip1|present_state.state_bit_2~q\,
	datac => \Chip1|present_state.state_bit_1~q\,
	datad => \Chip1|present_state.state_bit_0~q\,
	combout => \Chip1|Clear_Counters~combout\);

\Chip2|Chip4|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip4|present_state[0]~66_combout\,
	clrn => \Chip1|ALT_INV_Clear_Counters~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip4|present_state\(0));

\Chip1|present_state.state_bit_1~216\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_1~216_combout\ = \Chip1|present_state.state_bit_2~q\ & (\Chip1|present_state.state_bit_1~q\ & !\Chip1|present_state.state_bit_0~q\ & !\Chip2|Chip2|present_state\(9) # !\Chip1|present_state.state_bit_1~q\ & 
-- \Chip1|present_state.state_bit_0~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000001001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_1~q\,
	datab => \Chip1|present_state.state_bit_2~q\,
	datac => \Chip1|present_state.state_bit_0~q\,
	datad => \Chip2|Chip2|present_state\(9),
	combout => \Chip1|present_state.state_bit_1~216_combout\);

\Chip2|Chip5|present_state[0]~93\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip5|present_state[0]~93_combout\ = \Chip2|Chip5|present_state\(0) $ (!\Chip1|present_state.state_bit_2~q\ & \Chip1|present_state.state_bit_1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip1|present_state.state_bit_2~q\,
	datac => \Chip2|Chip5|present_state\(0),
	datad => \Chip1|present_state.state_bit_1~q\,
	combout => \Chip2|Chip5|present_state[0]~93_combout\);

\Chip2|Chip5|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip5|present_state[0]~93_combout\,
	clrn => \Chip1|ALT_INV_Clear_Counters~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip5|present_state\(0));

\Chip2|Chip5|present_state[1]~92\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip5|present_state[1]~92_combout\ = \Chip2|Chip5|present_state\(1) $ (\Chip1|present_state.state_bit_1~q\ & !\Chip1|present_state.state_bit_2~q\ & \Chip2|Chip5|present_state\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_1~q\,
	datab => \Chip1|present_state.state_bit_2~q\,
	datac => \Chip2|Chip5|present_state\(1),
	datad => \Chip2|Chip5|present_state\(0),
	combout => \Chip2|Chip5|present_state[1]~92_combout\);

\Chip2|Chip5|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip5|present_state[1]~92_combout\,
	clrn => \Chip1|ALT_INV_Clear_Counters~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip5|present_state\(1));

\Chip2|Chip5|present_state[2]~91\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip5|present_state[2]~91_combout\ = \Chip2|Chip5|present_state\(2) $ (\Chip2|Chip5|present_state\(0) & \Chip1|present_state.sample_serial_in~14_combout\ & \Chip2|Chip5|present_state\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip5|present_state\(0),
	datab => \Chip1|present_state.sample_serial_in~14_combout\,
	datac => \Chip2|Chip5|present_state\(2),
	datad => \Chip2|Chip5|present_state\(1),
	combout => \Chip2|Chip5|present_state[2]~91_combout\);

\Chip2|Chip5|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip5|present_state[2]~91_combout\,
	clrn => \Chip1|ALT_INV_Clear_Counters~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip5|present_state\(2));

\Chip2|Chip5|TC8~29\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip5|TC8~29_combout\ = \Chip2|Chip5|present_state\(0) & \Chip2|Chip5|present_state\(2) & \Chip2|Chip5|present_state\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip5|present_state\(0),
	datac => \Chip2|Chip5|present_state\(2),
	datad => \Chip2|Chip5|present_state\(1),
	combout => \Chip2|Chip5|TC8~29_combout\);

\Chip2|Chip6|present_state.state_bit_1~217\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip6|present_state.state_bit_1~217_combout\ = \Chip2|Chip6|present_state.state_bit_0~q\ & \Chip1|present_state.state_bit_1~q\ & \Chip2|Chip5|TC8~29_combout\ & !\Chip1|present_state.state_bit_2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip6|present_state.state_bit_0~q\,
	datab => \Chip1|present_state.state_bit_1~q\,
	datac => \Chip2|Chip5|TC8~29_combout\,
	datad => \Chip1|present_state.state_bit_2~q\,
	combout => \Chip2|Chip6|present_state.state_bit_1~217_combout\);

\Chip2|Chip6|present_state.state_bit_1~216\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip6|present_state.state_bit_1~216_combout\ = \Chip2|Chip6|present_state.state_bit_1~q\ & (!\Chip2|Chip6|present_state.state_bit_1~217_combout\) # !\Chip2|Chip6|present_state.state_bit_1~q\ & \Chip2|Chip6|present_state.state_bit_1~217_combout\ & 
-- (\Chip2|Chip6|present_state.state_bit_2~q\ # !\Chip2|Chip6|present_state.state_bit_3~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip6|present_state.state_bit_3~q\,
	datab => \Chip2|Chip6|present_state.state_bit_2~q\,
	datac => \Chip2|Chip6|present_state.state_bit_1~q\,
	datad => \Chip2|Chip6|present_state.state_bit_1~217_combout\,
	combout => \Chip2|Chip6|present_state.state_bit_1~216_combout\);

\Chip2|Chip6|present_state.state_bit_1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip6|present_state.state_bit_1~216_combout\,
	clrn => \Chip1|ALT_INV_Clear_Counters~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip6|present_state.state_bit_1~q\);

\Chip2|Chip6|present_state.state_bit_2~142\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip6|present_state.state_bit_2~142_combout\ = \Chip2|Chip6|present_state.state_bit_2~q\ $ (\Chip2|Chip6|present_state.state_bit_1~q\ & \Chip2|Chip6|present_state.state_bit_1~217_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip6|present_state.state_bit_1~q\,
	datac => \Chip2|Chip6|present_state.state_bit_2~q\,
	datad => \Chip2|Chip6|present_state.state_bit_1~217_combout\,
	combout => \Chip2|Chip6|present_state.state_bit_2~142_combout\);

\Chip2|Chip6|present_state.state_bit_2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip6|present_state.state_bit_2~142_combout\,
	clrn => \Chip1|ALT_INV_Clear_Counters~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip6|present_state.state_bit_2~q\);

\Chip2|Chip6|present_state.state_bit_0~228\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip6|present_state.state_bit_0~228_combout\ = \Chip2|Chip6|present_state.state_bit_0~q\ $ (!\Chip1|present_state.state_bit_2~q\ & \Chip2|Chip5|TC8~29_combout\ & \Chip1|present_state.state_bit_1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011010011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_2~q\,
	datab => \Chip2|Chip5|TC8~29_combout\,
	datac => \Chip2|Chip6|present_state.state_bit_0~q\,
	datad => \Chip1|present_state.state_bit_1~q\,
	combout => \Chip2|Chip6|present_state.state_bit_0~228_combout\);

\Chip2|Chip6|present_state.state_bit_0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip6|present_state.state_bit_0~228_combout\,
	clrn => \Chip1|ALT_INV_Clear_Counters~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip6|present_state.state_bit_0~q\);

\Chip2|Chip6|present_state.state_bit_3~67\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip6|present_state.state_bit_3~67_combout\ = \Chip2|Chip6|present_state.state_bit_3~q\ & (!\Chip2|Chip5|TC8~29_combout\ # !\Chip2|Chip6|present_state.state_bit_0~q\ # !\Chip1|present_state.sample_serial_in~14_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.sample_serial_in~14_combout\,
	datab => \Chip2|Chip6|present_state.state_bit_0~q\,
	datac => \Chip2|Chip5|TC8~29_combout\,
	datad => \Chip2|Chip6|present_state.state_bit_3~q\,
	combout => \Chip2|Chip6|present_state.state_bit_3~67_combout\);

\Chip2|Chip6|present_state.state_bit_3~68\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip6|present_state.state_bit_3~68_combout\ = \Chip2|Chip6|present_state.state_bit_3~67_combout\ # \Chip2|Chip6|present_state.state_bit_1~q\ & \Chip2|Chip6|present_state.state_bit_2~q\ & \Chip2|Chip6|present_state.state_bit_1~217_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip6|present_state.state_bit_1~q\,
	datab => \Chip2|Chip6|present_state.state_bit_2~q\,
	datac => \Chip2|Chip6|present_state.state_bit_1~217_combout\,
	datad => \Chip2|Chip6|present_state.state_bit_3~67_combout\,
	combout => \Chip2|Chip6|present_state.state_bit_3~68_combout\);

\Chip2|Chip6|present_state.state_bit_3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip6|present_state.state_bit_3~68_combout\,
	clrn => \Chip1|ALT_INV_Clear_Counters~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip6|present_state.state_bit_3~q\);

\Chip2|Chip6|present_state.Num9~12\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip6|present_state.Num9~12_combout\ = \Chip2|Chip6|present_state.state_bit_3~q\ & \Chip2|Chip6|present_state.state_bit_0~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \Chip2|Chip6|present_state.state_bit_3~q\,
	datac => \Chip2|Chip6|present_state.state_bit_0~q\,
	combout => \Chip2|Chip6|present_state.Num9~12_combout\);

\Chip1|present_state.state_bit_1~217\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_1~217_combout\ = \Chip1|present_state.state_bit_1~216_combout\ # \Chip1|present_state.sample_serial_in~14_combout\ & (!\Chip2|Chip6|present_state.Num9~12_combout\ # !\Chip2|Chip5|TC8~29_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip2|Chip5|TC8~29_combout\,
	datab => \Chip1|present_state.sample_serial_in~14_combout\,
	datac => \Chip1|present_state.state_bit_1~216_combout\,
	datad => \Chip2|Chip6|present_state.Num9~12_combout\,
	combout => \Chip1|present_state.state_bit_1~217_combout\);

\Chip1|present_state.state_bit_0~409\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_0~409_combout\ = !\Serial_in~input_o\ & \Chip2|Chip4|present_state\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Serial_in~input_o\,
	datad => \Chip2|Chip4|present_state\(1),
	combout => \Chip1|present_state.state_bit_0~409_combout\);

\Chip1|present_state.state_bit_1~218\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_1~218_combout\ = \Chip1|present_state.state_bit_1~217_combout\ # \Chip1|present_state.wait_4cycles~25_combout\ & \Chip2|Chip4|present_state\(0) & \Chip1|present_state.state_bit_0~409_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.wait_4cycles~25_combout\,
	datab => \Chip2|Chip4|present_state\(0),
	datac => \Chip1|present_state.state_bit_1~217_combout\,
	datad => \Chip1|present_state.state_bit_0~409_combout\,
	combout => \Chip1|present_state.state_bit_1~218_combout\);

\Chip1|present_state.state_bit_1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state.state_bit_1~218_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state.state_bit_1~q\);

\Chip1|present_state.sample_serial_in~14\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.sample_serial_in~14_combout\ = !\Chip1|present_state.state_bit_2~q\ & \Chip1|present_state.state_bit_1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_2~q\,
	datad => \Chip1|present_state.state_bit_1~q\,
	combout => \Chip1|present_state.sample_serial_in~14_combout\);

\Chip1|present_state.state_bit_2~85\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.state_bit_2~85_combout\ = \Chip1|present_state.state_bit_2~84_combout\ # \Chip1|present_state.sample_serial_in~14_combout\ & \Chip2|Chip5|TC8~29_combout\ & \Chip2|Chip6|present_state.Num9~12_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110101010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_2~84_combout\,
	datab => \Chip1|present_state.sample_serial_in~14_combout\,
	datac => \Chip2|Chip5|TC8~29_combout\,
	datad => \Chip2|Chip6|present_state.Num9~12_combout\,
	combout => \Chip1|present_state.state_bit_2~85_combout\);

\Chip1|present_state.state_bit_2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip1|present_state.state_bit_2~85_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip1|present_state.state_bit_2~q\);

\Chip1|S[0]\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|S\(0) = \Chip1|present_state.state_bit_0~q\ & !\Chip1|present_state.state_bit_2~q\ & \Chip1|present_state.state_bit_1~q\ # !\Chip1|present_state.state_bit_0~q\ & \Chip1|present_state.state_bit_2~q\ & !\Chip1|present_state.state_bit_1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_0~q\,
	datac => \Chip1|present_state.state_bit_2~q\,
	datad => \Chip1|present_state.state_bit_1~q\,
	combout => \Chip1|S\(0));

\Chip2|Chip2|present_state[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	asdata => \Serial_in~input_o\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => VCC,
	ena => \Chip1|S\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(9));

\Chip2|Chip2|present_state[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	asdata => \Chip2|Chip2|present_state\(9),
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => VCC,
	ena => \Chip1|S\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(8));

\Chip2|Chip2|present_state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	asdata => \Chip2|Chip2|present_state\(8),
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => VCC,
	ena => \Chip1|S\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(7));

\Chip2|Chip2|present_state[6]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|present_state[6]~feeder_combout\ = \Chip2|Chip2|present_state\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|Chip2|present_state\(7),
	combout => \Chip2|Chip2|present_state[6]~feeder_combout\);

\Chip2|Chip2|present_state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip2|present_state[6]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip1|S\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(6));

\Chip2|Chip2|present_state[5]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|present_state[5]~feeder_combout\ = \Chip2|Chip2|present_state\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|Chip2|present_state\(6),
	combout => \Chip2|Chip2|present_state[5]~feeder_combout\);

\Chip2|Chip2|present_state[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip2|present_state[5]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip1|S\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(5));

\Chip2|Chip2|present_state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	asdata => \Chip2|Chip2|present_state\(5),
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => VCC,
	ena => \Chip1|S\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(4));

\Chip2|Chip2|present_state[3]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|present_state[3]~feeder_combout\ = \Chip2|Chip2|present_state\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|Chip2|present_state\(4),
	combout => \Chip2|Chip2|present_state[3]~feeder_combout\);

\Chip2|Chip2|present_state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip2|present_state[3]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip1|S\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(3));

\Chip2|Chip2|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	asdata => \Chip2|Chip2|present_state\(3),
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => VCC,
	ena => \Chip1|S\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(2));

\Chip2|Chip2|present_state[1]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|present_state[1]~feeder_combout\ = \Chip2|Chip2|present_state\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|Chip2|present_state\(2),
	combout => \Chip2|Chip2|present_state[1]~feeder_combout\);

\Chip2|Chip2|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip2|present_state[1]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip1|S\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(1));

\Chip2|Chip2|present_state[0]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip2|present_state[0]~feeder_combout\ = \Chip2|Chip2|present_state\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|Chip2|present_state\(1),
	combout => \Chip2|Chip2|present_state[0]~feeder_combout\);

\Chip2|Chip2|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip2|present_state[0]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip1|S\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip2|present_state\(0));

\Chip2|Chip1|present_state[0]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[0]~feeder_combout\ = \Chip2|Chip2|present_state\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|Chip2|present_state\(0),
	combout => \Chip2|Chip1|present_state[0]~feeder_combout\);

\Chip1|present_state.load_data_reg~12\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.load_data_reg~12_combout\ = !\Chip1|present_state.state_bit_0~q\ & \Chip1|present_state.state_bit_3~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip1|present_state.state_bit_0~q\,
	datad => \Chip1|present_state.state_bit_3~q\,
	combout => \Chip1|present_state.load_data_reg~12_combout\);

\Chip2|Chip1|present_state[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[0]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip1|present_state.load_data_reg~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(0));

\Chip2|Chip1|present_state[1]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[1]~feeder_combout\ = \Chip2|Chip2|present_state\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|Chip2|present_state\(1),
	combout => \Chip2|Chip1|present_state[1]~feeder_combout\);

\Chip2|Chip1|present_state[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[1]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip1|present_state.load_data_reg~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(1));

\Chip2|Chip1|present_state[2]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[2]~feeder_combout\ = \Chip2|Chip2|present_state\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|Chip2|present_state\(2),
	combout => \Chip2|Chip1|present_state[2]~feeder_combout\);

\Chip2|Chip1|present_state[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[2]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip1|present_state.load_data_reg~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(2));

\Chip2|Chip1|present_state[3]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[3]~feeder_combout\ = \Chip2|Chip2|present_state\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|Chip2|present_state\(3),
	combout => \Chip2|Chip1|present_state[3]~feeder_combout\);

\Chip2|Chip1|present_state[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[3]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip1|present_state.load_data_reg~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(3));

\Chip2|Chip1|present_state[4]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[4]~feeder_combout\ = \Chip2|Chip2|present_state\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|Chip2|present_state\(4),
	combout => \Chip2|Chip1|present_state[4]~feeder_combout\);

\Chip2|Chip1|present_state[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[4]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip1|present_state.load_data_reg~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(4));

\Chip2|Chip1|present_state[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	asdata => \Chip2|Chip2|present_state\(5),
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	sload => VCC,
	ena => \Chip1|present_state.load_data_reg~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(5));

\Chip2|Chip1|present_state[6]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[6]~feeder_combout\ = \Chip2|Chip2|present_state\(6)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|Chip2|present_state\(6),
	combout => \Chip2|Chip1|present_state[6]~feeder_combout\);

\Chip2|Chip1|present_state[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[6]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip1|present_state.load_data_reg~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(6));

\Chip2|Chip1|present_state[7]~feeder\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip2|Chip1|present_state[7]~feeder_combout\ = \Chip2|Chip2|present_state\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \Chip2|Chip2|present_state\(7),
	combout => \Chip2|Chip1|present_state[7]~feeder_combout\);

\Chip2|Chip1|present_state[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \Chip2|Chip1|present_state[7]~feeder_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	ena => \Chip1|present_state.load_data_reg~12_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \Chip2|Chip1|present_state\(7));

\Chip1|present_state.error_signal~13\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.error_signal~13_combout\ = \Chip1|present_state.state_bit_1~q\ & \Chip1|present_state.state_bit_2~q\ & \Chip1|present_state.state_bit_0~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Chip1|present_state.state_bit_1~q\,
	datab => \Chip1|present_state.state_bit_2~q\,
	datad => \Chip1|present_state.state_bit_0~q\,
	combout => \Chip1|present_state.error_signal~13_combout\);

\Chip1|present_state.data_ready~12\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Chip1|present_state.data_ready~12_combout\ = \Chip1|present_state.state_bit_0~q\ & \Chip1|present_state.state_bit_3~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Chip1|present_state.state_bit_0~q\,
	datad => \Chip1|present_state.state_bit_3~q\,
	combout => \Chip1|present_state.data_ready~12_combout\);

ww_RX_OUT(0) <= \RX_OUT[0]~output_o\;

ww_RX_OUT(1) <= \RX_OUT[1]~output_o\;

ww_RX_OUT(2) <= \RX_OUT[2]~output_o\;

ww_RX_OUT(3) <= \RX_OUT[3]~output_o\;

ww_RX_OUT(4) <= \RX_OUT[4]~output_o\;

ww_RX_OUT(5) <= \RX_OUT[5]~output_o\;

ww_RX_OUT(6) <= \RX_OUT[6]~output_o\;

ww_RX_OUT(7) <= \RX_OUT[7]~output_o\;

ww_Error <= \Error~output_o\;

ww_New_Data <= \New_Data~output_o\;
END structure;


